#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin>>n;
    vector<int>lista(n);
    for (int i=0;i<n;i++){
        cin>>lista[i];
    }
    int rez=0;
    cout<<lista.size()<<endl;
    for (int i=0;i<2*lista.size();i++){
        if (i%2==0){
            cout<<3;
        }
        else{
            cout<<2;
        }
    }
    cout<<endl;
    return 0;
}